de.esprit.common.gui.list

## Class ListDetailsAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.appsuite.gui.list.ListDataAction<C>
      - - de.esprit.appsuite.gui.list.ListSelectionAction
        - - de.esprit.common.gui.list.ListDetailsAction

- All Implemented Interfaces:
    ApplicationObject, SimpleErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public class ListDetailsAction
      extends ListSelectionAction

  This action pops up a details dialog for the selected list item. If the selection changes the dialog content is automatically updated.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListDetailsAction(javax.swing.JList list, int rows, int cols)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionFired(java.awt.event.ActionEvent e)` Is called when the action is fired.
    `void` | `setEnabled(boolean newValue)` Overridden to close the DumpDialog when the action is disabled

    - ### Methods inherited from class de.esprit.appsuite.gui.list.ListSelectionAction

      `createListController, getListController, getSelectedValue, getSelectedValuesList, getSelectionCount, isSelectionEmpty, setActivationMode`

    - ### Methods inherited from class de.esprit.appsuite.gui.list.ListDataAction

      `checkEnableCondition, getList, isListEmpty`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionPerformed, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListDetailsAction

          public ListDetailsAction(javax.swing.JList list,
                           int rows,
                           int cols)

  - ### Method Detail

    - #### setEnabled

          public void setEnabled(boolean newValue)

      Overridden to close the DumpDialog when the action is disabled
      Specified by:
        `setEnabled` in interface `javax.swing.Action`
      Overrides:
        `setEnabled` in class `javax.swing.AbstractAction`

    - #### actionFired

          protected void actionFired(java.awt.event.ActionEvent e)
                              throws java.lang.Exception

      Description copied from class: `ZAction`
      Is called when the action is fired. It contains the code being executed by this action.
      Specified by:
        `actionFired` in class `ZAction`
      Throws:
        `java.lang.Exception`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.